package com.ruoyi.project.activiti.service;

import com.ruoyi.project.activiti.domain.BizLeaveVo;
import com.ruoyi.project.system.domain.SysUser;
import org.activiti.engine.runtime.ProcessInstance;

import java.util.List;
import java.util.Map;

/**
 * 请假业务Service接口
 *
 * @author Xianlu Tech
 * @date 2019-10-11
 */
public interface IBizLeaveService {

    List<BizLeaveVo> selectBizLeaveList(BizLeaveVo bizLeave);

    int deleteBizLeaveByIds(List<String> ids);

    int insertBizLeave(BizLeaveVo bizLeave);

    int updateBizLeave(BizLeaveVo bizLeave);

    BizLeaveVo get(Long id);

    void submitApply(BizLeaveVo leave, String applyUserId);

    List<BizLeaveVo> findTodoTasks(BizLeaveVo bizLeave, String userId);

    void taskComplete(Map<String,Object> map);

    List<BizLeaveVo> taskDoneList(BizLeaveVo bizLeave,  SysUser user);
}
